218 |
|
|
219 |
|
For Each swEnt In listeentite |
220 |
|
If swEnt IsNot Nothing Then |
221 |
+ |
retour: |
222 |
|
Select Case swEnt.GetType |
223 |
|
Case SwConst.swSelectType_e.swSelVERTICES |
224 |
|
Dim swSommet As SldWorks.Vertex |
234 |
|
Dim swFace As SldWorks.Face2 |
235 |
|
swFace = swEnt |
236 |
|
CL = New EncapCL(swFace) |
237 |
< |
|
237 |
> |
Case SwConst.swSelectType_e.swSelATTRIBUTES |
238 |
> |
Dim attr As SldWorks.Attribute = swEnt |
239 |
> |
swEnt = attr.GetEntity2() |
240 |
> |
GoTo retour |
241 |
|
Case Else |
242 |
|
'MsgBox("Une entité sélectionnée ne peut avoir de condition aux limites -->" & selMgr.GetSelectedObjectType2(i)) |
243 |
|
|